net.minecraft.world.gen.structure

## Class StructureNetherBridgePieces.Crossing3

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureNetherBridgePieces.Crossing3

- Direct Known Subclasses:
    StructureNetherBridgePieces.Start
  Enclosing class:
    StructureNetherBridgePieces

      public static class StructureNetherBridgePieces.Crossing3
      extends StructureComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static WeightedRandomChestContent[]` | `field_111019_a`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StructureNetherBridgePieces.Crossing3()`
    `` | `StructureNetherBridgePieces.Crossing3(int par1, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`
    `protected` | `StructureNetherBridgePieces.Crossing3(java.util.Random par1Random, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox)`
    `void` | `buildComponent(StructureComponent par1StructureComponent, java.util.List par2List, java.util.Random par3Random)`
    `static StructureNetherBridgePieces.Crossing3` | `createValidComponent(java.util.List par0List, java.util.Random par1Random, int par2, int par3, int par4, int par5, int par6)`
    `protected void` | `func_143011_b(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_143012_a(NBTTagCompound par1NBTTagCompound)`
    `protected StructureComponent` | `getNextComponentNormal(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected StructureComponent` | `getNextComponentX(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected StructureComponent` | `getNextComponentZ(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5, boolean par6)`
    `protected static boolean` | `isAboveGround(StructureBoundingBox par0StructureBoundingBox)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `clearCurrentPositionBlocksUpwards, fillWithAir, fillWithBlocks, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, func_151554_b, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeBlockAtCurrentPosition, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_111019_a

          protected static final WeightedRandomChestContent[] field_111019_a

  - ### Constructor Detail

    - #### StructureNetherBridgePieces.Crossing3

          public StructureNetherBridgePieces.Crossing3()

    - #### StructureNetherBridgePieces.Crossing3

          public StructureNetherBridgePieces.Crossing3(int par1,
                                               java.util.Random par2Random,
                                               StructureBoundingBox par3StructureBoundingBox,
                                               int par4)

    - #### StructureNetherBridgePieces.Crossing3

          protected StructureNetherBridgePieces.Crossing3(java.util.Random par1Random,
                                               int par2,
                                               int par3)

  - ### Method Detail

    - #### buildComponent

          public void buildComponent(StructureComponent par1StructureComponent,
                            java.util.List par2List,
                            java.util.Random par3Random)

      Overrides:
        `buildComponent` in class `StructureComponent`

    - #### createValidComponent

          public static StructureNetherBridgePieces.Crossing3 createValidComponent(java.util.List par0List,
                                                                   java.util.Random par1Random,
                                                                   int par2,
                                                                   int par3,
                                                                   int par4,
                                                                   int par5,
                                                                   int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  java.util.Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      Specified by:
        `addComponentParts` in class `StructureComponent`

    - #### func_143011_b

          protected void func_143011_b(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143011_b` in class `StructureComponent`

    - #### func_143012_a

          protected void func_143012_a(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143012_a` in class `StructureComponent`

    - #### getNextComponentNormal

          protected StructureComponent getNextComponentNormal(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                                  java.util.List par2List,
                                                  java.util.Random par3Random,
                                                  int par4,
                                                  int par5,
                                                  boolean par6)

    - #### getNextComponentX

          protected StructureComponent getNextComponentX(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5,
                                             boolean par6)

    - #### getNextComponentZ

          protected StructureComponent getNextComponentZ(StructureNetherBridgePieces.Start par1ComponentNetherBridgeStartPiece,
                                             java.util.List par2List,
                                             java.util.Random par3Random,
                                             int par4,
                                             int par5,
                                             boolean par6)

    - #### isAboveGround

          protected static boolean isAboveGround(StructureBoundingBox par0StructureBoundingBox)